=== debian/changelog ===
ros-iron-libcurl-vendor (3.2.2-3jammy) jammy; urgency=high

  * merge libcurl_vendor build instructions (#81 <https://github.com/ros/resource_retriever/issues/81>)
  * Contributors: schrodinbug

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-libcurl-vendor (3.2.1-3jammy) jammy; urgency=high

  * Sets CMP0135 policy behavior to NEW (#79 <https://github.com/ros/resource_retriever/issues/79>)
  * Fixes policy CMP0135 warning for CMake >= 3.24
  * Contributors: Cristóbal Arroyo, Crola1702

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-libcurl-vendor (3.2.0-3jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-iron-libcurl-vendor (3.1.0-3jammy) jammy; urgency=high

  * Update to curl 7.81. (#74 <https://github.com/ros/resource_retriever/issues/74>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-libcurl-vendor (3.0.0-3jammy) jammy; urgency=high

  * Update maintainers (#66 <https://github.com/ros/resource_retriever/issues/66>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-libcurl-vendor (2.5.0-3jammy) jammy; urgency=high

  * Update libcurl_vendor to the latest version (7.75.0). (#60 <https://github.com/ros/resource_retriever/issues/60>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-libcurl-vendor (2.4.2-3jammy) jammy; urgency=high

  * Add an override flag to force vendored build (#58 <https://github.com/ros/resource_retriever/issues/58>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-libcurl-vendor (2.4.1-3jammy) jammy; urgency=high

  * Update maintainers (#53 <https://github.com/ros/resource_retriever/issues/53>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-libcurl-vendor (2.4.0-3jammy) jammy; urgency=high

  * bump curl version to 7.68 (#47 <https://github.com/ros/resource_retriever/issues/47>)
  * Contributors: Dirk Thomas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Aug 2020 16:00:00 -0000

ros-iron-libcurl-vendor (2.3.2-3jammy) jammy; urgency=high

  * export TARGETS in libcurl_vendor (#46 <https://github.com/ros/resource_retriever/issues/46>)
  * Contributors: Dirk Thomas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-iron-libcurl-vendor (2.3.1-3jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-iron-libcurl-vendor (2.3.0-3jammy) jammy; urgency=high

  * Ignore broken curl-config.cmake (#40 <https://github.com/ros/resource_retriever/issues/40>)
  * Update curl reference from 7.57 to 7.58 (#36 <https://github.com/ros/resource_retriever/issues/36>)
  * Contributors: Nathan Brooks, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-iron-libcurl-vendor (2.2.0-3jammy) jammy; urgency=high

  * add .dsv file beside custom environment hook (#30 <https://github.com/ros/resource_retriever/issues/30>)
  * Contributors: Dirk Thomas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-iron-libcurl-vendor (2.1.1-3jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-iron-libcurl-vendor (2.1.0-3jammy) jammy; urgency=high

  * depend on curl (mapping to curl, libcurl4-openssl-dev) for packaging (#25 <https://github.com/ros/resource_retriever/issues/25>)
  * add missing dependency on pkg-config (#19 <https://github.com/ros/resource_retriever/issues/19>)
  * [libcurl_vendor] convert to ament and setup env hooks for library paths (#14 <https://github.com/ros/resource_retriever/issues/14>)
  * Contributors: Dirk Thomas, Mikael Arguedas, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 20 Jun 2018 16:00:00 -0000

ros-iron-libcurl-vendor (2.0.0-3jammy) jammy; urgency=high

  * disable docs and tests for libcurl to avoid needing perl
  * fix libcurl vendor package on Windows and warnings
  * add temporary libcurl_vendor and use it to get curl
  * Contributors: William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Dec 2017 16:00:00 -0000

ros-iron-libcurl-vendor (1.12.3-3jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 26 Mar 2017 16:00:00 -0000

ros-iron-libcurl-vendor (1.12.2-3jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 10 Jun 2016 06:16:00 -0000

ros-iron-libcurl-vendor (1.12.1-3jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 10 Jun 2016 02:28:00 -0000

ros-iron-libcurl-vendor (1.12.0-3jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Mar 2016 16:00:00 -0000

ros-iron-libcurl-vendor (1.11.6-3jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 29 Nov 2014 16:00:00 -0000
